{% extends "admin/change_form.html" %}
{% load static %}

{% block extrastyle %}
    {{ block.super }}
    <link rel="stylesheet" type="text/css" href="{% static "admin/css/forms.css" %}">
{% endblock %}

{% block breadcrumbs %}
    <div class="breadcrumbs">
        <a href="{% url 'admin:index' %}">Home</a>
        ›
        <a href="{% url 'admin:app_list' 'webpush' %}">Django WebPush</a>
        ›
        <a href="{% url 'admin:webpush_webpushdevice_changelist' %}">WebPush devices</a>
        › {{ title }}
    </div>
{% endblock %}

{% block content %}
<form action="" method="post">
    {% csrf_token %}

    {{ form.non_field_errors }}

    <p>Send WebPush Notification to these devices:</p>
    <ul>{{ queryset|unordered_list }}</ul>

    <fieldset class="module aligned">
        {% for field in form.visible_fields %}
            <div class="form-row">
                <div>
                    {{ field.label_tag }}
                    {{ field }}
                    {{ field.errors }}
                    {% if field.help_text %}
                        <small class="form-text text-muted">{{ field.help_text }}</small>
                    {% endif %}
                </div>
            </div>
        {% endfor %}
        {% for field in form.hidden_fields %}
            {{ field }}
        {% endfor %}
    </fieldset>
    <div class="submit-row">
        <input type="hidden" name="action" value="send_message" />
        <input type="submit" class="default" name="submit" value="Send">
    </div>
</form>
{% endblock %}